<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_birthdate_include.php
| Author: Digitanium
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if ($profile_method == "input") {
	$user_sex = (isset($user_data['user_sex']) ? $user_data['user_sex'] : 0);
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['uf_sex'].":</td>\n";
	echo "<td class='tbl'>\n<select name='user_sex' class='textbox'>\n";
	echo "<option value='0'".($user_sex=="0"?" selected='selected'":"").">".$locale['uf_sex_none']."</option>\n";
	echo "<option value='1'".($user_sex=="1"?" selected='selected'":"").">".$locale['uf_sex_male']."</option>\n";
	echo "<option value='2'".($user_sex=="2"?" selected='selected'":"").">".$locale['uf_sex_female']."</option>\n";
	echo "</select>\n</td>\n";
	echo "</tr>\n";
} elseif ($profile_method == "display") {
	if (isset($user_data['user_sex']) && $user_data['user_sex'] != "0") {
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['uf_sex']."</td>\n";
		echo "<td align='right' class='tbl1'>".($user_data['user_sex']=="1" ? $locale['uf_sex_male'] : $locale['uf_sex_female'])."</td>\n";
		echo "</tr>\n";
	}
} elseif ($profile_method == "validate_insert" || $profile_method == "validate_update") {
	$user_sex = (isset($_POST['user_sex']) && isNum($_POST['user_sex']) ? $_POST['user_sex'] : 0);
	if ($profile_method == "validate_insert") {
		$db_fields .= ", user_sex";
		$db_values .= ", '".$user_sex."'";
	} else {
		$db_values .= ", user_sex='".$user_sex."'";
	}
}
?>