<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: colored_names_panel.php
| Author: Grzegorz Lipok
| email: grzes@grzes.info
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."colored_names_panel/infusion_db.php";

if (file_exists(INFUSIONS."colored_names_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."colored_names_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."colored_names_panel/locale/English.php";
}

$inf_title = $locale['cn_title'];
$inf_description = $locale['cn_desc'];
$inf_version = "BETA 1.0";
$inf_developer = "Grzegorz Lipok";
$inf_email = "grzes@grzes.info";
$inf_weburl = "";

$inf_folder = "colored_names_panel";
  
$inf_newtable[1] = DB_COLORED_NAMES." (
user_id MEDIUMINT( 8 ) NOT NULL ,
color VARCHAR( 7 ) NOT NULL ,
PRIMARY KEY ( `user_id` )
) ENGINE = MYISAM";

$inf_insertdbrow[1] = DB_COLORED_NAMES." (user_id, color) VALUES('1', '#FF0000')";
$inf_insertdbrow[2] = DB_COLORED_NAMES." (user_id, color) VALUES('0', '#000000')";

$inf_droptable[1] = DB_COLORED_NAMES;

$inf_adminpanel[1] = array(
	"title" => $locale['cn_admin1'],
	"image" => "",
	"panel" => "colored_names_admin.php",
	"rights" => "CN"
);

?>