<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_bot_agent_panel.php
| CVS Version: 1.00
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."forum_bot_agent_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."forum_bot_agent_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."forum_bot_agent_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."forum_bot_agent_panel/locale/English.php";
}

$result = dbquery("SELECT * FROM ".DB_FBA_TABLE);
$data = dbarray($result);

if (iADMIN) {
	openside($locale['fba_title']);
	echo "<div class='admin-message'>".($data['fba_show'] ? $locale['fba_active'] : $locale['fba_inactive'])."</div>\n";
	closeside();
}

if ($data['fba_show']) {

  ob_start();
  eval("?>\n".stripslashes($data['fba_code'])."<?php\n");
  $contents = ob_get_contents();
  ob_end_clean();
    
	$str = "
	<tr>
	<td colspan='2' class='tbl1' style='height:10px'></td>
	</tr>
	<tr>
	<td class='tbl2' style='width:140px'><strong>".$data['fba_name']."</strong></td>
	<td class='tbl2'>
	<div class='small'>".$locale['fba_posted_on']." ".showdate("forumdate", time())."</div>
	</td>
	</tr>

	<tr>
	<td valign='top' class='tbl2' style='width:140px'>
	<span class='small'>".$locale['fba_bot']."</span><br /><br />
	<span class='small'><strong>".$locale['fba_posts'].":</strong> n^x</span><br />
	<span class='small'><strong>".$locale['fba_joined'].":</strong> ".$locale['fba_join_date']."</span><br />
	<br /></td>
	<td valign='top' class='tbl1'>
	".$contents."
	</td>
	</tr>
	<tr>
	<td class='tbl2' style='width:140px;white-space:nowrap'><strong>IP</strong>: ".$locale['fba_ip']."</td>
	<td class='tbl2'>&nbsp;</td>
	</tr>
	";
	
	$place = $data['fba_display'];
	if (!$place) $place = rand(1, 20);
	if ($place==1) $str .= "<tr>\n<td colspan='2' class='tbl1' style='height:10px'></td>\n</tr>\n";
	replace_in_output("<!--forum_thread_prepost_".$place."-->", addslashes($str), "si");
}
?>
