<?php
function gzcompressfile($source,$level=false){
	$dest = $source.'.gz';
	$mode = 'wb'.$level;
	$error = false;
	if($fp_out=gzopen($dest,$mode)) {
		if($fp_in=fopen($source,'rb')) {
			while(!feof($fp_in)) {
				gzputs($fp_out,fread($fp_in,1024*512));
			}
			fclose($fp_in);
		} else {
			$error=true;
		}
		gzclose($fp_out);
	} else {
		$error=true;
	}
	if($error) {
		return false;
	} else {
		return $dest;
	}
}

if(isset($_POST['btn_create_backup'])){
	$db_tables = $_POST['db_tables'];
	if(!count($db_tables)) {
	}
	$crlf = "\n";
	ob_start();
	@ob_implicit_flush(0);
	echo "#----------------------------------------------------------".$crlf;
	echo "# PHP-Fusion SQL Data Dump".$crlf;
	echo "# Database Name: `$db_name`".$crlf;
	echo "# Table Prefix: `".$db_prefix."`".$crlf;
	echo "# Date: `".date("d/m/Y H:i")."`".$crlf;
	echo "#----------------------------------------------------------".$crlf;
	dbquery('SET SQL_QUOTE_SHOW_CREATE=1');
	foreach($db_tables as $table){
		@set_time_limit(1200);
		dbquery("OPTIMIZE TABLE $table");
		echo $crlf."#".$crlf."# Structure for Table `".$table."`".$crlf."#".$crlf;
		echo "DROP TABLE IF EXISTS `$table`;$crlf";
		$row=dbarraynum(dbquery("SHOW CREATE TABLE $table"));
		echo $row[1].";".$crlf;
		$result=dbquery("SELECT * FROM $table");
		if($result&&dbrows($result)) {
			echo $crlf."#".$crlf."# Table Data for `".$table."`".$crlf."#".$crlf;
			$column_list="";
			$num_fields=mysql_num_fields($result);
			for($i=0;$i<$num_fields;$i++){
				$column_list.=(($column_list!="")?", ":"")."`".mysql_field_name($result,$i)."`";
			}
		}
		while($row=dbarraynum($result)){
			$dump="INSERT INTO `$table` ($column_list) VALUES (";
			for($i=0;$i<$num_fields;$i++) {
				$dump.=($i>0)?", ":"";
				if(!isset($row[$i])){
					$dump.="NULL";
				} elseif($row[$i]=="0"||$row[$i]!="") {
					$type=mysql_field_type($result,$i);
					if($type=="tinyint"||$type=="smallint"||$type=="mediumint"||$type=="int"||$type=="bigint"||$type=="timestamp") {
						$dump.=$row[$i];
					} else {
						$search_array=array('\\','\'',"\x00","\x0a","\x0d","\x1a");
						$replace_array=array('\\\\','\\\'','\0','\n','\r','\Z');
						$row[$i]=str_replace($search_array,$replace_array,$row[$i]);
						$dump.="'$row[$i]'";
					}
				} else {
					$dump.="''";
				}
			}
			$dump.=');';
			echo $dump.$crlf;
		}
	}
	$contents = ob_get_contents();
	ob_end_clean();
	$file = stripinput($_POST['backup_filename']).".sql";
	require_once INCLUDES."class.httpdownload.php";
	$dl = new httpdownload;
	$dl->use_resume = false;
	if ($_POST['backup_type'] == ".gz") {
		$dl->set_mime("application/x-gzip gz tgz");
		$dl->set_bydata(gzencode($contents,9));
		$dl->set_filename($file.".gz");
	} else {
		$dl->set_mime("text/plain");
		$dl->set_bydata($contents);
		$dl->set_filename($file);
	}
	$dl->download();
	exit;
	fallback(FUSION_SELF.$aidlink);
}

?>
