<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_bot_agent_admin.php
| CVS Version: 1.00
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."forum_bot_agent_panel/infusion_db.php";

if (!checkrights("BA") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."forum_bot_agent_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."forum_bot_agent_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."forum_bot_agent_panel/locale/English.php";
}
if (isset($_POST['fba_save'])) {
	$fba_name = stripinput($_POST['fba_name']);
	$fba_code = $_POST['fba_code'];
	$fba_code = addslashes($fba_code);
	$fba_display = isNum($_POST['fba_display']) ? $_POST['fba_display'] : 0;
	$fba_show = isset($_POST['fba_show']) ? 1 : 0;
	$result = dbquery("UPDATE ".DB_FBA_TABLE." SET fba_name='".$fba_name."', fba_code='".$fba_code."', fba_display='".$fba_display."', fba_show='".$fba_show."'");	
	redirect(FUSION_SELF.$aidlink."&saved");
}

$result = dbquery("SELECT * FROM ".DB_FBA_TABLE);
$data = dbarray($result);

opentable($locale['fba_title']);
if (isset($_GET['saved'])) {
	echo "<div class='admin-message'>".$locale['fba_saved']."</div>\n";
}
echo "<form name='fba_form' method='post'>\n";
echo "<table width='70%' align='center'>\n";
echo "<tr>\n";
echo "<td>".$locale['fba_name']."</td><td><input type='text' class='textbox' name='fba_name' value='".$data['fba_name']."' style='width:500px' /></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td valign='top'>".$locale['fba_code']."</td><td><textarea rows='20' class='textbox' name='fba_code' style='width:500px'>".stripslashes($data['fba_code'])."</textarea></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['fba_display']."</td><td>";
echo "<select class='textbox' name='fba_display'>\n";
echo "<option value='0'".($data['fba_display']==0 ? " selected='selected'" : "").">".$locale['fba_random']."</option>\n";
echo "<option value='1'".($data['fba_display']==1 ? " selected='selected'" : "").">".$locale['fba_before']."</option>\n";
for ($i=2;$i<22;$i++) {
	echo "<option value='".$i."'".($data['fba_display']==$i ? " selected='selected'" : "").">".sprintf($locale['fba_after'], ($i-1))."</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['fba_show']."</td><td><input type='checkbox' name='fba_show' value='1' ".($data['fba_show'] ? "checked='checked' " : "")."/></td>";
echo "</tr>\n";
echo "<tr><td colspan='2' align='center'><input type='submit' class='button' name='fba_save' value='".$locale['fba_save']."' /></td></tr>\n";
echo "</table>\n";
echo "</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
