<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."forum_bot_agent_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."forum_bot_agent_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."forum_bot_agent_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."forum_bot_agent_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['fba_title'];
$inf_description = $locale['fba_desc'];
$inf_version = "1.0";
$inf_developer = "Wooya";
$inf_email = "wooya@2loud.net.pl";
$inf_weburl = "http://2loud.net.pl";

$inf_folder = "forum_bot_agent_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_FBA_TABLE." (
fba_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
fba_name VARCHAR(100) DEFAULT 'Google Adsence' NOT NULL,
fba_code TEXT DEFAULT '' NOT NULL,
fba_display SMALLINT(2) DEFAULT '1' NOT NULL,
fba_show SMALLINT(1) DEFAULT '0' NOT NULL,
PRIMARY KEY (fba_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_FBA_TABLE." (fba_name, fba_code, fba_display, fba_show) VALUES('Google Adsence', '".$locale['fba_info']."', '0', '0')";

$inf_droptable[1] = DB_FBA_TABLE;

$inf_adminpanel[1] = array(
	"title" => $locale['fba_admin'],
	"image" => "image.gif",
	"panel" => "forum_bot_agent_admin.php",
	"rights" => "BA"
);
?>
