<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: last_seen_user_panel.php
| Author: Pieka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."last_seen_users_panel/locale/English.php";
}

openside($locale['lsup000']);
$result = dbquery("SELECT user_id, user_name, user_lastvisit FROM ".DB_USERS." WHERE user_lastvisit>'0' AND user_status='0' ORDER BY user_lastvisit DESC LIMIT 0,10");
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		$lastseen = time() - $data['user_lastvisit'];
		$iW=sprintf("%2d", floor($lastseen / 604800));
		$iD=sprintf("%2d", floor($lastseen / (60 * 60 * 24)));
		$iH=sprintf("%02d", floor((($lastseen % 604800) % 86400) / 3600));
		$iM=sprintf("%02d", floor(((($lastseen % 604800) % 86400) % 3600) / 60));
		$iS=sprintf("%02d", floor((((($lastseen % 604800) % 86400) % 3600) % 60)));
		if ($lastseen < 60){
			$lastseen = $locale['lsup001'];
		} elseif ($lastseen < 360){
			$lastseen = $locale['lsup002'];
		} elseif ($iW > 0){
			if ($iW == 1) {
				$text = $locale['lsup003'];
			} else {
				$text = $locale['lsup004'];
			}
			$lastseen = $iW." ".$text;
		} elseif ($iD > 0){
			if ($iD == 1) {
				$text = $locale['lsup005'];
			} else {
				$text = $locale['lsup006'];
			}
			$lastseen = $iD." ".$text;
		} else {
			$lastseen = $iH.":".$iM.":".$iS;
		}
		echo "<tr>\n<td class='side-small' align='left'>".THEME_BULLET."\n";
		echo " <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."' class='side'>\n";
		echo trimlink($data['user_name'], 15)."</a></td><td class='side-small' align='right'>".$lastseen."</td>\n</tr>\n";
	}
}
echo "</table>";
closeside();
?>